Runtime

## org.eclipse.gmf.runtime.diagram.ui.figures
Class BorderItemsAwareFreeFormLayer

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw2d.Layer
              org.eclipse.draw2d.FreeformLayer
                  org.eclipse.gmf.runtime.diagram.ui.figures.BorderItemsAwareFreeFormLayer

All Implemented Interfaces:
  FreeformFigure, IFigure

public class BorderItemsAwareFreeFormLayer
extends FreeformLayer

a Border item aware implementation for the free form layer This layer will make sure that scroll bars and bounds calculations respect the border items implementation

Nested Class Summary
`class` `BorderItemsAwareFreeFormLayer.BorderItemAwareFreeFormHelper` The helper class used by the border item aware free form layer This helper class will calculate the correct extent of the layer, considering the border items

Nested classes inherited from class org.eclipse.draw2d.Figure
`Figure.FigureIterator, Figure.IdentitySearch`

Nested classes inherited from class org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`BorderItemsAwareFreeFormLayer()`

Method Summary
`void` `add(IFigure child, java.lang.Object constraint, int index)`
`void` `borderFigureMoved()` will notify the layer that a border item had been moved; which will result in invalidating the layer (recalculating the bounds and extent).
`Rectangle` `getBounds()`
`Rectangle` `getFreeformExtent()`
`void` `invalidate()`
`void` `remove(IFigure child)`
`void` `setFreeformBounds(Rectangle bounds)`
`void` `validate()`

Methods inherited from class org.eclipse.draw2d.FreeformLayer
`addFreeformListener, fireExtentChanged, fireMoved, primTranslate, removeFreeformListener`

Methods inherited from class org.eclipse.draw2d.Layer
`containsPoint, findFigureAt`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getChildren, getClientArea, getClientArea, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, paintFigure, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getChildren, getClientArea, getClientArea, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative`

Constructor Detail

### BorderItemsAwareFreeFormLayer

    public BorderItemsAwareFreeFormLayer()

Method Detail

### getBounds

    public Rectangle getBounds()

### invalidate

    public void invalidate()

### validate

    public void validate()

### add

    public void add(IFigure child,
                    java.lang.Object constraint,
                    int index)

  See Also:
    `IFigure.add(IFigure, Object, int)`

### getFreeformExtent

    public Rectangle getFreeformExtent()

  See Also:
    `FreeformFigure.getFreeformExtent()`

### remove

    public void remove(IFigure child)

  See Also:
    `IFigure.remove(IFigure)`

### setFreeformBounds

    public void setFreeformBounds(Rectangle bounds)

  See Also:
    `FreeformFigure.setFreeformBounds(Rectangle)`

### borderFigureMoved

    public void borderFigureMoved()

  will notify the layer that a border item had been moved; which will result in invalidating the layer (recalculating the bounds and extent).

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.